I have a part that I get from a customer that is imported into Inventor. The part doesn't' come in as a solid, I can either bring it in as surfaces (thousands for them in fact) or as a composite. What I want to do is create a nest for the part to fit into on the machine I am building. I create a part thats nothing more than a block, bring the part and the block into an assembly and I place the part into the block where I want it to go. What I need is to be able to cut the contour of the part into the block. I use Mastercam for my milling programs and what I ultimately need is just the surfaces (the top surface of the block and the cutout surface).
I have some parts that I need to make a nest for. I get the part from a customer and it's not in the most usable shape. It's just a bunch of surfaces. I can't change anything from it. I create a square block and place both the block and the part into an assembly. In the assembly I place the part in the block how I would like it to go. From there I create my whole mechanism around these nested parts. What I need to do is cut the shape of the part into the block so that I can bring the block into a CNC program and mill it.
I have a part that is designed to be made from a casting. In my workflow it makes more sense to create the as machined part first and then base the casting on the machined part usually by using save as and then deleting the machined features. I understand that you can easily go the opposite direction by creating the cast and then creating a derived part that you apply the machining features to.
I tried to derive the casting in this way hoping that you could just suppress of delete features without altering the associativity between the two files but it appears that the derived part doesn't "know" about the features on the original, it's just a solid.
It would seem that this workflow would be a no brainer since most of the time the casting depends on the finished part which depends on the design specifications, so am I missing something or is there really no way to do what I want to do without having to go the messy route of having to manually alter two separate parts every time I alter the design?
Can I create popup button control underneath another pop button control?
I can do this with .net controls, but I can't seem to get this to work with Inventor. Whenever I try to add a command bar to another command bar.Controls I get an Invalid Parameter error.
Here is what I am referring to. I would like to be able to add a menu below a menu.
Is it possible to nest my profile drawings to reduce material wastage with Inventor? If not, where I can download any freeware that can perform this task.
I have to design a new part based on joining two of an already made ones. I thought it would be as easy as a "union" command in AutoCAD... but couldn't find anything that resembles that, and I really need them to be a joint part, since I will be printing them in a 3D printing machine. how I can do that in Autodesk inventor?
I am facing problem in creating part in top down assly.
Find attachment.
I first part as pipe having dim 300 mm.In assly I select create option and made sketch having diameter 100 circle . I have extrude this circle up to the wall of 1 st component . I select to option but surface of 1 st component not getting selected. If I select 1 st part rectangular shape, that case 2 part extrude using same concept. (# ref 2 attachment)
I am trying to create a new part in Inventor from Microsoft Visual Studio and the code I have so far is:
Dim invApp As Inventor.Application Try invApp = GetObject(, "Inventor.Application") Catch ex As Exception Try invApp = CreateObject("Inventor.Application")
[Code] ......
When I run this, it opens Inventor and creates a new part then gives me the following InvalidCastException was unhandled:
Unable to cast COM object of type 'System.__ComObject' to class type 'System.Xml.Linq.XDocument'. Instances of types that represent COM components cannot be cast to types that do not represent COM components; however they can be cast to interfaces as long as the underlying COM component supports QueryInterface calls for the IID of the interface.
I have a complex part that will be created using additive manufacturing. Since this type of machining is adding material needed rather than removing material, I would like the make voids and hollow out the part wherever possible to reduce the manufacturing time, and the weight of the part. Are there any features in Inventor that allow you to click on an internal volume and specify a void that produces certain wall thickness? The closest feature I can think of is the Shell feature but that only works for parts with very simple geometry and it doesn't make a void like I would like. The shell feature cuts out material from the face so it is good for making something like a cup but does not make an internal void.
I am just starting with inventor and love the capabilities, which makes me think this is possible. I am creating a cross dowel nut (also called a dowel nut) that looks like a barrel with a threaded hole on the side. This nut is intended to be inserted into wood and connect with a screw. Is it possible to create this cross dowel that also contains the hole surrounding it so when I insert the part into an assembly (a sheet of wood), the hole is created as well?
I have a problem when I`m creating a new part in assembly.
I`m in assembly and I push a create button. Then I give it a name and OK. Then I push a plane where I want to make the part. New sketch comes but no sketch panel. I have to push right button from mouse and click finish sketch. Then when I go edit sketch the sketch panel comes like it suppose it to be.
I am creating part files for one of our machines, and how to proceed with making a smooth transition on the bevel, like it is showing on the print from our customer.
Im quite new to customizing inventor and have been playing around with I-logic. I can get I-logic to enter values into existing ipt paramaters when run from a rule within the idw. I can also get I-logic to create a custom Paramater within the ipt using some copied API code, however I dont know my way around API at all yet. So...
I was wondering if it was possible to create a custom part parameter from an ilogic rule run in an idw with that ipt featured?
I am having difficulties creating a creating a sheet metal part in Autodesk Inventor to be able to create a flat pattern. I attached a PDF of the part I'm trying to create. The first page is the item I am trying to create. The next page are the 2 pieces I've been able to construct in Inventor but I can't seem to figure out a way to make it together. I also attached the Inventor model I was able to create.
I am trying to patch up a bunch of small holes in a derived assembly. I've tried going to the options tab that comes up when deriving the part/assembly and plugging in values for the range of hole sizes to be patched, but I get no results when clicking ok. I have scaled down the assembly to 1/10 the original size. I set the range of holes to be patched from 0 to 0.25". The diameter of the holes in the assembly are only 0.017" after scaling down.
Inventor Professional 2013 Intel Xeon W3680 @ 3.33Ghz 12GB DDR3 RAM NVIDIA Quadro 2000 GPU Windows 7 Professinal 64-bit
My issue is we have Universal assemblies that never change. These assemblies are thousands of parts. (hardware gaskets other random assemblies.) this top level universal assembly never changes.
to increase time in layouts. we would like to create these universal assemblies into 1 sold part.
Is there a was to export an assembly into a single solid part.
I have this assembly which includes a weldment and a derived / mirrored part where i need to identify the COG for lifting with a crane.
As you can see in the image (most components not visible), the COG is way off. The left half is the weldment, the right is the derived/mirrored part. Is there a way to get an accurate COG from Inventor 2010 short of creating a RH assembly instead of deriving the part?
I have a part that was derived from an assembly. However now I need to make this part have different center dimensions. Is there a way to make a derived part into an iPart without creating more parts? see attachment.
I am using Inventor 2012. BTW the part is more detailed than I am showing in the attachment.
I have created a parametric, multibody master part file to derive parts from it, and then put them in an assembly. See attached file. Now, I need 3 different versions of this setup (with different values of the parameter 'bending_angle').
What is the best way to do it? If I derive parts from it, they always follow the *actual* status of their master file. Is there some method to do this: "derive from this file, with parameter bending_angle=55deg", but keep the dependency relation, i.e. if I modify something on the master file, the derived part fill follow the modifications (with the value of bending_angle=55deg)
I am using IV 2010. After creating a sheetmetal ipart my part grows slightly between each variance.
When toggling between the different parts IV says that they need updated. I have updated them but if I toggle back after updating the other parts IV wants me to update again and it creates a circle of updating. Does this mean that making a sheet metal i part is a half baked idea? Right now the way the program is responding to sheet metal iparts it would appear that you either cannot have a flat pattern or you part cannot lengthen or shorten the different variances with keeping the flat pattern. It would appear that all is well with part with exception of this updating problem. How to eliminate IV from asking to update in between variances while keeping the flat pattern? Also I am using sheet metal extens add in.
i am trying to find out how to use autocad to nest objects for cutting on a cnc machine. it would require a lengthy discussion and i dont know if this is a appropriate forum for it.
i am trying to use autocad to nest parts for cutting on a cnc machine. is there any way to make a 2d part have a projected boundary of say .5 inches larger than the part so another part cannot nest closer than that. after the nesting is done, the boundary would be removed. the parts are different sizes and shapes so the projected boundary would have to enclose the part.
I set up our company log which gets embossed on most parts as a sketch block in an .ipt. The .ipt contains nothing but the sketch block. To use it, the designer only needs to derive the Logo.ipt file into their part and then use the scale setting to set the derived block to the desired size for that part. The result is a scalable set of line geometry that can easily be used for extrusion or emboss that is standard for all users. It works beautifully, that is until you try to use it in a sheet metal part in 2012.
For some reason, when this same part, which works perfectly in normal parts, is derived into a sheet metal part an error pops up stating that, "Selected part does not have any geometry that can be derived." Say what?
I was able to find a workaround by directly copying the block into the sheet metal part, but you no longer have the ability to go back and scale it if needed. Even more strange, when the block was copied over, it could not be deleted from the new part.
Is this just a bug with 2012? Why does it work in a normal part but not sheet metal?
Dear Sir, In particular project, when I insert part in Assembly file, It is inserted as a Tube & Pipe run part. so that It is not Grounded automatically. What is the settings by which I can insert as a normal part in assembly file ? I have attached herewith the JPG file also.
The part i make is from solid model>The part needs to be in sheet metal.What steps do i use to make as sheet metal part and have option to flatten part.
I`m looking for the iLogic code that can change one parameter (user defined) for each (ipt) part in assembly (iam)
The one below doesn`t work.
Sub Main Dim oApp As Inventor.Application = ThisApplication Dim oAssy As Inventor.AssemblyDocument = oApp.ActiveDocument For Each oSubDoc as Inventor.Document In oAssy.AllReferencedDocuments On Error Resume Next Parameter(oSubDoc, "FH") = 15.26 Next End Sub
I would like to simplify this assembly into one seamless part for FEM calculation:The assembly consists out of parts that, in reality, will be welded together. Due to their form, there is no way to place them exactly onto each other, therefore there are slight gaps between the parts:
Now when I try to merge the assembly into one part via "simplify" --> "create simplified part" and choose "single solid body with seams between planar faces merged", Inventor does not fill these gaps (even though it displays only one part in the bottom right corner of my window). Unfortunately, the remaining gaps brings "contact" problems in the FEM simulation.
how to close the gaps and really merge the assembly into one part?